All CLIs and browsers of the account
GET
/v1/devices
const url = 'https://app.skillpouch.net/v1/devices';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.skillpouch.net/v1/devicesResponses
Section titled “Responses”Default Response
Media typeapplication/json
object
ok
required
boolean
data
required
object
devices
required
Array<object>
object
id
required
string format: uuid
name
required
string
os
required
string
arch
required
string
cli_version
required
string
assistants
required
Array<string>
cursors
required
Array<object>
object
pouch_id
required
string format: uuid
acked_seq
required
integer
state
required
string
created_at
required
string format: date-time
is_current
required
boolean
browsers
required
Array<object>
meta
required
object
request_id
required
string
next_cursor
string | null
Example
{ "ok": true, "data": { "devices": [ { "os": "linux", "state": "active", "key_storage": "tpm" } ] }}